码上敲享录 > maven开发经验分享 > maven下载依赖出现501错误,之前都是可以的

maven下载依赖出现501错误,之前都是可以的

上一章章节目录下一章 2020-01-16已有1974人阅读 评论(0)

maven下载依赖出现501错误,之前都是可以的


官方的解释如下:

从2020年1月15日开始,中央存储库不再支持通过纯HTTP进行的不安全通信,并且要求对存储库的所有请求都通过HTTPS进行加密。

如果收到此错误,则需要用其 规范的HTTPS对应项替换所有对Maven Central的URL引用:

将http://repo.maven.apache.org/maven2/替换   为  https://repo.maven.apache.org/maven2/

如果您的环境由于某种原因无法支持HTTPS,则可以选择使用我们专用的不安全端点 ,网址为  http://insecure.repo1.maven.org/maven2/


向大家推荐《Activiti工作流实战教程》:https://xiaozhuanlan.com/activiti
向大家推荐《ireport实战教程》:https://xiaozhuanlan.com/ireport?rel=6923152725
18

有建议,请留言!

  • *您的姓名:

  • *所在城市:

  • *您的联系电话:

    *您的QQ:

  • 咨询问题:

  • 提 交